#ifndef WEATHER_H
#define WEATHER_H

#include <stralloc.h>
#include <stdbool.h>

typedef struct {
   stralloc location;
   unsigned int temp; // Celsius
   stralloc text; // textual description of the weather like "Partly Cloudy"
} Weather;

bool init_weather(Weather* weather, char* location);
bool update_weather(Weather* weather);
void free_weather(Weather* weather);

#endif
